This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1032820 - StorageService resource configuration does not return values for property lists of simples
StorageService resource configuration does not return values for property lis...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins, Storage Node (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity low (vote)
: GA
: RHQ 4.10
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 17:40 EST by John Sanda
Modified: 2014-04-23 08:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:30:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2013-11-20 17:40:15 EST
Description of problem:
There is bug with the resource configuration for the StorageServiceComponent. It always returns empty values for lists of simples. Examples of this include properties such as, Leaving Nodes, Live Nodes, Unreachable Nodes, and Primary Range. The affected properties are currently not used for storage node management.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Go to resource inventory tree in UI
2. Drill down to Platform --> RHQ Storage Node --> Storage Service
3. Go to resource configuration

Actual results:
The aforementioned properties will be empty.


Expected results:
Primary Range and Live Nodes should not be empty. Leaving Nodes and Unreachable nodes may be empty.

Additional info:
Comment 1 John Sanda 2013-11-21 13:25:21 EST
I have committed a fix to master.

commit hash: 68ff21b7f
Comment 2 Heiko W. Rupp 2014-04-23 08:30:25 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.